Index: src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 4080)
@@ -48,6 +48,11 @@
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.LDAPUtil;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
+
 /**
  * A database aware Class implementing callback bethods for the SAX parser to
  * call when processing the XML stream and generating events
@@ -308,7 +313,7 @@
         try
         {
             PermissionController control = new PermissionController(docid
-                    + MetaCatUtil.getOption("accNumSeparator") + revision);
+                    + PropertyService.getProperty("accNumSeparator") + revision);
             //unChangableSubTreeHash = getUnchangableSubTree(control, user,
             // groups);
 
@@ -317,7 +322,7 @@
             if (action != null && action.equals("UPDATE")
                     && !control.hasPermission(user, groups,
                             AccessControlInterface.ALLSTRING) 
-                            && !MetaCatUtil.isAdministrator(user, groups))
+                            && !LDAPUtil.isAdministrator(user, groups))
             {
                 needCheckingAccessModule = true;
                 unChangebleTopAccessSubTree = getTopAccessSubTreeFromDB();
@@ -594,7 +599,13 @@
                 inlineDataNameSpace = new Hashtable();
                 //initialize file writer
                 String docidWithoutRev = MetaCatUtil.getDocIdFromString(docid);
-                String seperator = MetaCatUtil.getOption("accNumSeparator");
+                String seperator = ".";
+                try {
+					seperator = PropertyService.getProperty("accNumSeparator");
+				} catch (PropertyNotFoundException pnfe) {
+					logMetacat.error("Could not get property 'accNumSeparator'.  " 
+							+ "Setting separator to '.': "+ pnfe.getMessage());
+				}
                 // the new file name will look like docid.rev.2
                 inlineDataFileName = docidWithoutRev + seperator + revision
                         + seperator + inLineDataIndex;
@@ -1424,8 +1435,7 @@
      * Method to check if the new line data is as same as the old one
      */
      private boolean modifiedInlineData(String inlineDistributionId,
-                                          String newInlineInternalFileName)
-     {
+			String newInlineInternalFileName) throws SAXException {
        boolean modified = true;
        if (inlineDistributionId == null || newInlineInternalFileName == null)
        {
@@ -1479,39 +1489,36 @@
         {
           throw new SAXException("The inline file name is null");
         }
-        String path = MetaCatUtil.getOption("inlinedatafilepath");
-        // the new file name will look like path/docid.rev.2
-        File inlineDataDirectory = new File(path);
-        File inlineDataFile = new File(inlineDataDirectory, fileName);
-        try
-        {
-            FileReader inlineFileReader = new FileReader(inlineDataFile);
-            BufferedReader inlineStringReader = new BufferedReader(inlineFileReader);
-            String string = inlineStringReader.readLine();
-            // at the end oldstring will be null
-            while (string != null)
-            {
-                string = inlineStringReader.readLine();
-                if (string != null && !string.trim().equals(""))
-                {
-                  isEmpty = false;
-                  break;
-                }
-            }
+        
+        try {
+			String path = PropertyService.getProperty("application.inlinedatafilepath");
+			// the new file name will look like path/docid.rev.2
+			File inlineDataDirectory = new File(path);
+			File inlineDataFile = new File(inlineDataDirectory, fileName);
 
-        }
-        catch (Exception e)
-        {
-            throw new SAXException(e.getMessage());
-        }
-        return isEmpty;
+			FileReader inlineFileReader = new FileReader(inlineDataFile);
+			BufferedReader inlineStringReader = new BufferedReader(inlineFileReader);
+			String string = inlineStringReader.readLine();
+			// at the end oldstring will be null
+			while (string != null) {
+				string = inlineStringReader.readLine();
+				if (string != null && !string.trim().equals("")) {
+					isEmpty = false;
+					break;
+				}
+			}
 
+		} catch (Exception e) {
+			throw new SAXException(e.getMessage());
+		}
+		return isEmpty;
+
      }
 
 
     /**
-     * SAX Handler that receives notification of comments in the DTD
-     */
+	 * SAX Handler that receives notification of comments in the DTD
+	 */
     public void comment(char[] ch, int start, int length) throws SAXException
     {
         logMetacat.info("COMMENT");
@@ -2366,7 +2373,12 @@
             throws SAXException
     {
         FileWriter writer = null;
-        String path = MetaCatUtil.getOption("inlinedatafilepath");
+        String path;
+        try {
+        	 path = PropertyService.getProperty("application.inlinedatafilepath");
+        } catch (PropertyNotFoundException pnfe) {
+            throw new SAXException(pnfe.getMessage());
+        }
         /*
          * File inlineDataDirectory = new File(path);
          */
@@ -2406,12 +2418,13 @@
         // this method need to be testing
         boolean same = true;
         String data = null;
-        String path = MetaCatUtil.getOption("inlinedatafilepath");
-        // the new file name will look like path/docid.rev.2
-        File inlineDataDirectory = new File(path);
-        File oldDataFile = new File(inlineDataDirectory, oldFileName);
-        File newDataFile = new File(inlineDataDirectory, newFileName);
         try {
+        	String path = PropertyService.getProperty("application.inlinedatafilepath");
+			// the new file name will look like path/docid.rev.2
+			File inlineDataDirectory = new File(path);
+			File oldDataFile = new File(inlineDataDirectory, oldFileName);
+			File newDataFile = new File(inlineDataDirectory, newFileName);
+
             FileReader oldFileReader = new FileReader(oldDataFile);
             BufferedReader oldStringReader = new BufferedReader(oldFileReader);
             FileReader newFileReader = new FileReader(newDataFile);
@@ -2445,89 +2458,70 @@
     }
 
    /*
-    * Copy a old line file to a new inline file
-    */
-   public void copyInlineFile(String inlineDistributionId, String newFileName)
-           throws SAXException
-   {
-     if (inlineDistributionId == null || newFileName == null)
-     {
-       throw new SAXException("Could not copy inline file from old one to new "+
-                              "one!");
-     }
-     // get old file id from previousUnreadable data object
-    String oldInlineInternalFileName =
-         (String)previousUnreadableInlineDataObjectHash.get(inlineDistributionId);
+	 * Copy a old line file to a new inline file
+	 */
+	public void copyInlineFile(String inlineDistributionId, String newFileName)
+			throws SAXException {
+		if (inlineDistributionId == null || newFileName == null) {
+			throw new SAXException("Could not copy inline file from old one to new "
+					+ "one!");
+		}
+		// get old file id from previousUnreadable data object
+		String oldInlineInternalFileName = (String) previousUnreadableInlineDataObjectHash
+				.get(inlineDistributionId);
 
-    if (oldInlineInternalFileName == null ||
-        oldInlineInternalFileName.trim().equals(""))
-    {
-      throw new SAXException("Could not copy inline file from old one to new "+
-                              "one because can't find old file name");
-    }
-    logMetacat.info("in handle inline data");
-    logMetacat.info("the inline data file name from xml_access is: "
-                                 + oldInlineInternalFileName);
+		if (oldInlineInternalFileName == null
+				|| oldInlineInternalFileName.trim().equals("")) {
+			throw new SAXException("Could not copy inline file from old one to new "
+					+ "one because can't find old file name");
+		}
+		logMetacat.info("in handle inline data");
+		logMetacat.info("the inline data file name from xml_access is: "
+				+ oldInlineInternalFileName);
 
-    String path = MetaCatUtil.getOption("inlinedatafilepath");
-    // the new file name will look like path/docid.rev.2
-    File inlineDataDirectory = new File(path);
-    File oldDataFile = new File(inlineDataDirectory, oldInlineInternalFileName);
-    File newDataFile = new File(inlineDataDirectory, newFileName);
-    FileReader oldFileReader = null;
-    FileWriter newFileWriter = null;
-    try
-    {
-      oldFileReader = new FileReader(oldDataFile);
-      newFileWriter = new FileWriter(newDataFile);
-      char[] buf = new char[4 * 1024]; // 4K buffer
-      int b = oldFileReader.read(buf);
-      while (b != -1)
-      {
-        newFileWriter.write(buf, 0, b);
-        b = oldFileReader.read(buf);
+		FileReader oldFileReader = null;
+		FileWriter newFileWriter = null;
+		try {
+			String path = PropertyService.getProperty("application.inlinedatafilepath");
+			// the new file name will look like path/docid.rev.2
+			File inlineDataDirectory = new File(path);
+			File oldDataFile = new File(inlineDataDirectory, oldInlineInternalFileName);
+			File newDataFile = new File(inlineDataDirectory, newFileName);
 
-      }
-    }
-    catch (Exception e)
-    {
-      throw new SAXException(e.getMessage());
-    }
-    finally
-    {
-        if (oldFileReader != null)
-        {
-          try
-          {
-            oldFileReader.close();
-          }
-          catch (Exception ee)
-          {
-            throw new SAXException(ee.getMessage());
-          }
+			oldFileReader = new FileReader(oldDataFile);
+			newFileWriter = new FileWriter(newDataFile);
+			char[] buf = new char[4 * 1024]; // 4K buffer
+			int b = oldFileReader.read(buf);
+			while (b != -1) {
+				newFileWriter.write(buf, 0, b);
+				b = oldFileReader.read(buf);
+			}
+		} catch (Exception e) {
+			throw new SAXException(e.getMessage());
+		} finally {
+			if (oldFileReader != null) {
+				try {
+					oldFileReader.close();
+				} catch (Exception ee) {
+					throw new SAXException(ee.getMessage());
+				}
 
-        }
-        if (newFileWriter != null)
-        {
-          try
-          {
-            newFileWriter.close();
-          }
-          catch (Exception ee)
-          {
-            throw new SAXException(ee.getMessage());
-          }
+			}
+			if (newFileWriter != null) {
+				try {
+					newFileWriter.close();
+				} catch (Exception ee) {
+					throw new SAXException(ee.getMessage());
+				}
 
-        }
+			}
+		}
+	}
 
-    }
 
-  }
-
-
     // if xml file failed to upload, we need to call this method to delete
     // the inline data already in file system
-    public void deleteInlineFiles()
+    public void deleteInlineFiles() throws SAXException
     {
         if (!inlineFileIDList.isEmpty()) {
             for (int i = 0; i < inlineFileIDList.size(); i++) {
@@ -2538,10 +2532,15 @@
     }
 
     /* delete the inline data file */
-    private void deleteInlineDataFile(String fileName)
+    private void deleteInlineDataFile(String fileName) throws SAXException
     {
-
-        String path = MetaCatUtil.getOption("inlinedatafilepath");
+    	String path;
+    	try {
+    		path = PropertyService.getProperty("application.inlinedatafilepath");
+    	} catch (PropertyNotFoundException pnfe) {
+    		throw new SAXException ("Could not find inline data file path: " 
+    				+ pnfe.getMessage());
+    	}
         File inlineDataDirectory = new File(path);
         File newFile = new File(inlineDataDirectory, fileName);
         newFile.delete();
@@ -2549,28 +2548,28 @@
     }
 
     /*
-     * In eml2, the inline data wouldn't store in db, it store in file system
-     * The db stores file name(without path).
-     */
-    public static Reader readInlineDataFromFileSystem(String fileName)
-            throws McdbException
-    {
-        //BufferedReader stringReader = null;
-        FileReader fileReader = null;
-        String path = MetaCatUtil.getOption("inlinedatafilepath");
-        // the new file name will look like path/docid.rev.2
-        File inlineDataDirectory = new File(path);
-        File dataFile = new File(inlineDataDirectory, fileName);
-        try {
-            fileReader = new FileReader(dataFile);
-            //stringReader = new BufferedReader(fileReader);
-        } catch (Exception e) {
-            throw new McdbException(e.getMessage());
-        }
-        // return stringReader;
-        return fileReader;
-    }
+	 * In eml2, the inline data wouldn't store in db, it store in file system
+	 * The db stores file name(without path).
+	 */
+	public static Reader readInlineDataFromFileSystem(String fileName)
+			throws McdbException {
+		// BufferedReader stringReader = null;
+		FileReader fileReader = null;
+		try {
+			String path = PropertyService.getProperty("application.inlinedatafilepath");
+			// the new file name will look like path/docid.rev.2
+			File inlineDataDirectory = new File(path);
+			File dataFile = new File(inlineDataDirectory, fileName);
 
+			fileReader = new FileReader(dataFile);
+			// stringReader = new BufferedReader(fileReader);
+		} catch (Exception e) {
+			throw new McdbException(e.getMessage());
+		}
+		// return stringReader;
+		return fileReader;
+	}
+
     /* Delete relations */
     private void deleteRelations() throws SAXException
     {
Index: src/edu/ucsb/nceas/metacat/DocumentIdentifier.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdentifier.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/DocumentIdentifier.java	(revision 4080)
@@ -31,6 +31,9 @@
 import java.lang.*;
 import java.sql.*;
 
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
+
 /**
  * A class to parse document ids
  * The docid is of the form siteCode.uniqueId.rev 
@@ -42,33 +45,34 @@
   private String uniqueId = null;
   private String siteCode = null;
   private String separator = null;
-  private MetaCatUtil util = new MetaCatUtil();
   
-  /** 
-   * Constructor to build a docid object and parse an incoming string.
-   */
-  public DocumentIdentifier(String docid) throws AccessionNumberException
-  {
-    this.docid = docid;
-    this.separator = util.getOption("accNumSeparator");
+  /**
+	 * Constructor to build a docid object and parse an incoming string.
+	 */
+	public DocumentIdentifier(String docid) throws AccessionNumberException {
+		this.docid = docid;
+		try {
+			this.separator = PropertyService.getProperty("accNumSeparator");
+		} catch (PropertyNotFoundException pnfe) {
+			throw new AccessionNumberException(
+					"Could not get property 'accNumSeparator' :" + pnfe.getMessage());
+		}
 
-    if(docid.endsWith(this.separator))
-    {
-      throw new AccessionNumberException("Accession number cannot end with " + 
-                "a seperator.");
-    }
-    if(docid.startsWith(this.separator))
-    {
-      throw new AccessionNumberException("Accession number cannot begin with " + 
-                "a seperator.");
-    }
-    
-    parseDocid();
-  }
+		if (docid.endsWith(this.separator)) {
+			throw new AccessionNumberException("Accession number cannot end with "
+					+ "a seperator.");
+		}
+		if (docid.startsWith(this.separator)) {
+			throw new AccessionNumberException("Accession number cannot begin with "
+					+ "a seperator.");
+		}
+
+		parseDocid();
+	}
   
   /**
-   * parses the docid into its parts
-   */
+	 * parses the docid into its parts
+	 */
   private void parseDocid() throws AccessionNumberException
   {
     try {
Index: src/edu/ucsb/nceas/metacat/AccessControlList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4079)
+++ src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4080)
@@ -46,6 +46,11 @@
 import org.xml.sax.helpers.XMLReaderFactory;
 import org.xml.sax.helpers.DefaultHandler;
 
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
+
 /** 
  * A Class that loads eml-access.xml file containing ACL for a metadata
  * document into relational DB. It extends DefaultHandler class to handle
@@ -117,45 +122,44 @@
    * @param serverCode the serverid from xml_replication on which this document
    *        resides.
    */
-  public AccessControlList(DBConnection conn, String aclid, int rev,//Reader acl,
+  public AccessControlList(DBConnection conn, String aclid, int rev,
                            String user, String[] groups, int serverCode)
-                  throws SAXException, IOException, McdbException
+                  throws SAXException, IOException, McdbException, PropertyNotFoundException
   {
-    String parserName = MetaCatUtil.getOption("saxparser");
-    this.server = MetaCatUtil.getOption("server");
-    this.sep = MetaCatUtil.getOption("accNumSeparator");
+		String parserName = PropertyService.getProperty("saxparser");
+		this.server = SystemUtil.getSecureServerURL();
+		this.sep = PropertyService.getProperty("accNumSeparator");
 
-    this.connection = conn;
-    this.parserName = parserName;
-    this.processingDTD = false;
-    this.elementStack = new Stack();
-    
-    this.user = user;
-    this.groups = groups;
-    this.aclid = aclid;
-    this.resourceURL = new Vector();
-    this.resourceID = new Vector();
-    this.principal = new Vector();
-    this.permission = 0;
-    this.ticketCount = 0;
-  //  this.publicAcc = null;
-    this.serverCode = serverCode;
-    
-    // read the access file from db connection
-    DocumentImpl acldoc = new DocumentImpl(aclid+sep+rev);
-    String acl = acldoc.toString();
-    this.rev = acldoc.getRev();
+		this.connection = conn;
+		this.parserName = parserName;
+		this.processingDTD = false;
+		this.elementStack = new Stack();
 
-    // Initialize the parse
-    XMLReader parser = initializeParser();
-    // parse the access file and write the info to xml_access
-    parser.parse(new InputSource(new StringReader(acl)));
-    
-  }
+		this.user = user;
+		this.groups = groups;
+		this.aclid = aclid;
+		this.resourceURL = new Vector();
+		this.resourceID = new Vector();
+		this.principal = new Vector();
+		this.permission = 0;
+		this.ticketCount = 0;
+		// this.publicAcc = null;
+		this.serverCode = serverCode;
 
+		// read the access file from db connection
+		DocumentImpl acldoc = new DocumentImpl(aclid + sep + rev);
+		String acl = acldoc.toString();
+		this.rev = acldoc.getRev();
+
+		// Initialize the parse
+		XMLReader parser = initializeParser();
+		// parse the access file and write the info to xml_access
+		parser.parse(new InputSource(new StringReader(acl)));
+	}
+
 // NOT USED
-//  /**
-//   * Construct an instance of the AccessControlList class.
+// /**
+// * Construct an instance of the AccessControlList class.
 //   * It parses eml-access file and loads acl data into db connection.
 //   * It is used from command line execution.
 //   *
@@ -662,9 +666,8 @@
   {
     StringBuffer output = new StringBuffer();
     StringBuffer outTemp = new StringBuffer();
-    MetaCatUtil util = new MetaCatUtil();
-    String accDoctype = util.getOption("accessdoctype");
-    String server = util.getOption("server");
+    String accDoctype = PropertyService.getProperty("accessdoctype");
+    String server = PropertyService.getProperty("server");
     String docurl = "metacat://" + server + "/?docid=" + docid;
     String systemID;
     boolean isOwned = false;
@@ -923,44 +926,41 @@
   }
 
   /* Get SystemID for @publicID from Metacat DB Catalog. */
-  private String getSystemID(String publicID) throws SQLException {
-    
-    String systemID = "";
-    PreparedStatement pstmt = null;
-    DBConnection conn = null;
-    int serialNumber = -1;
-    
-    try
-    {
-      //check out DBConnection
-      conn=DBConnectionPool.getDBConnection("AccessControlList.getSystemID");
-      serialNumber=conn.getCheckOutSerialNumber();
-    
-      pstmt = conn.prepareStatement("SELECT system_id FROM xml_catalog " +
-                                  "WHERE entry_type = 'DTD' " + 
-                                  "AND public_id = ?");
-      pstmt.setString(1, publicID);
-      pstmt.execute();
-      ResultSet rs = pstmt.getResultSet();
-      boolean hasRow = rs.next();
-      if ( hasRow ) {
-        systemID = rs.getString(1);
-      }
-    
-      return systemID;
-    }//try
-    finally
-    {
-      
-      try
-      {
-        pstmt.close();
-      }
-      finally
-      {
-        DBConnectionPool.returnDBConnection(conn, serialNumber);
-      }
-    }//finally
-  }
+  private String getSystemID(String publicID) throws SQLException, PropertyNotFoundException {
 
+		String systemID = "";
+		PreparedStatement pstmt = null;
+		DBConnection conn = null;
+		int serialNumber = -1;
+
+		try {
+			//check out DBConnection
+			conn = DBConnectionPool.getDBConnection("AccessControlList.getSystemID");
+			serialNumber = conn.getCheckOutSerialNumber();
+
+			pstmt = conn.prepareStatement("SELECT system_id FROM xml_catalog "
+					+ "WHERE entry_type = 'DTD' " + "AND public_id = ?");
+			pstmt.setString(1, publicID);
+			pstmt.execute();
+			ResultSet rs = pstmt.getResultSet();
+			boolean hasRow = rs.next();
+			if (hasRow) {
+				systemID = rs.getString(1);
+				// system id may not have server url on front.  Add it if not.
+				if (!systemID.startsWith("http://")) {
+					systemID = SystemUtil.getServerURL() + systemID;
+				}
+			}
+
+			return systemID;
+		}//try
+		finally {
+			try {
+				pstmt.close();
+			} finally {
+				DBConnectionPool.returnDBConnection(conn, serialNumber);
+			}
+		}//finally
+	}
+
 }
